@charset "utf-8";

/* 캘린더 공통(연도, 달) */
.schd-sel-amon {margin-bottom: 12px;background: #fff;border-top: 2px solid #000;border-bottom: 1px solid #ddd;box-sizing: border-box;}
.schd-sel-amon .sel-y-wr {display: flex;justify-content: space-between;align-items: center;padding: 13px 0;border-bottom: 1px solid #ddd;}
.schd-sel-amon .sel-y-wr a {display: block;box-sizing: border-box;}
.schd-sel-amon .sel-y-wr a.btn-year {width: 120px;height: 34px;padding: 6px 16px;position: relative;border-radius: 17px;background: #f4f8fd;color: #0065d7;font-size: .941em;font-weight: 500;}
.schd-sel-amon .sel-y-wr a.btn-y-prev {text-align: right;}
.schd-sel-amon .sel-y-wr a.btn-year:before {content: '';display: block;width: 14px;height: 11px;position: absolute;top: 50%;transform: translateY(-50%);background: url(/resources/openworks4/image/common/schedule_spr.png) 0 -34px no-repeat;}
.schd-sel-amon .sel-y-wr a.btn-y-prev:before {left: 6px;}
.schd-sel-amon .sel-y-wr a.btn-y-next:before {right: 6px; background-position-x: -24px;}
.schd-sel-amon .sel-y-wr .sch-date {color: #333; font-size: 1.353em;}
.schd-sel-amon .sel-y-wr .sch-date .year{font-style: normal;}
.schd-sel-amon .sel-m-wr {display: flex;align-items: center;justify-content: space-between;width: 96%;margin: 0 auto;}
.schd-sel-amon .sel-m-wr li {position: relative;padding: 14px 0;text-align: center;}
.schd-sel-amon .sel-m-wr li a {display: inline-block;color: #333;font-size: 1.000em;font-weight:500;text-align: center;}
.schd-sel-amon .sel-m-wr li.over:after {content: '';display: block;width: 7px;height: 7px;border-radius: 50%;background: #0065d7;position: absolute;left: 50%;bottom: -3.5px;transform: translateX(-50%);}
.schd-sel-amon .sel-m-wr li.over a {color: #0065d7; font-weight: 600;}
.schd-sel-amon .sel-m-wr li.btn-mon a {position: relative;}
.schd-sel-amon .sel-m-wr li.btn-mon a:before {content:'';display:block;width: 17px;height: 14px;background: url(/resources/openworks4/image/common/schedule_spr.png) 0 -55px no-repeat;}
.schd-sel-amon .sel-m-wr li.btn-m-next a:before {background-position-x: -27px;right: 0;}
.schd-monlist-wr {margin-bottom: 22px;}

/* 달력 스타일 */
.schd-mon-cal .cal-tb1 {width: 100%;table-layout: fixed;border-collapse:collapse; border-spacing: 0;}
.schd-mon-cal .cal-tb1 tr:not(:last-child) {margin-bottom: 6px;}
.schd-mon-cal .cal-tb1 .col-tb1-col {width: 14.28%;}
.schd-mon-cal .cal-tb1 th {padding: 11px 0 12px;background: #1c3b8a;color: #fff;}
.schd-mon-cal .cal-tb1 th:first-child {border-top-left-radius: 8px;border-bottom-left-radius: 8px;}
.schd-mon-cal .cal-tb1 th:last-child {border-top-right-radius: 8px;border-bottom-right-radius: 8px;}
.schd-mon-cal .cal-tb1 th .txt {display: block;position: relative;font-size: 1.059em;font-weight: 500;}
.schd-mon-cal .cal-tb1 th:not(:last-child) .txt:before {content:'';display:block;width:1px;height: 16px;background: rgba(255,255,255,.2);position: absolute;top: 50%;right: 0;transform: translateY(-50%);}
.schd-mon-cal .cal-tb1 td {height: 162px;border: 4px solid #fff;box-sizing: border-box;border-radius: 14px;background: #f5f5f5;vertical-align: top;position: relative;}
.schd-mon-cal .cal-tb1 td.today {background:#ddf3fa;}
.schd-mon-cal .cal-tb1 td > a {display: block;border: 0;}
.schd-mon-cal .cal-tb1 td .day-tit {position: relative;}
.schd-mon-cal .cal-tb1 td .day-tit .num {display: flex;justify-content: center;align-items: center;width: 36px;height: 31px;position: absolute;top: 0px;right: 0;color:#333;font-size: 0.882em;font-weight: 500;border-top-right-radius:8px;border-bottom-left-radius:8px;}
.schd-mon-cal .cal-tb1 td.today .day-tit .num {background:#0087af;color: #fff;}
.schd-mon-cal .cal-tb1 td:first-child .num {color: #ff0000;}
.schd-mon-cal .cal-tb1 td:last-child .num {color: #233ee4;}

@media all and (max-width: 768px){
    .schd-sel-type {margin-bottom: 20px;}
    .schd-sel-amon .sel-m-wr {width: 100%;flex-wrap: wrap;}
    .schd-sel-amon .sel-m-wr li {width: 16.667%;padding:10px 0;}
    .schd-sel-amon .sel-m-wr li a {position: relative;}
    .schd-sel-amon .sel-m-wr li.over:after {display: none;}
    .schd-sel-amon .sel-m-wr li.over a:after{content:'';display:block;width: 100%;height: 2px;background: #0065d7;position: absolute;left: 0;bottom: 0;}
    .schd-sel-amon .sel-m-wr li.btn-mon {display:none;}
    .schd-mon-cal .cal-tb1 th .txt {font-size: 16px;}
    .schd-mon-cal .cal-tb1 td {height: 65px;}
}
@media all and (max-width: 480px){
    .schd-sel-type {margin-bottom: 12px;}
    .schd-sel-type a.cal-type-btns {height: 46px;}
    .schd-sel-type a.over span {padding-right: 28px;}
    .schd-sel-type a.cal-type-btns span:after {width: 18px;height: 18px;background-size: 33px;}
    .schd-sel-amon .sel-y-wr a.btn-year {width: 90px;height: 32px;padding: 6px 11px;}
    .schd-sel-amon .sel-m-wr li {padding: 5px 0;}
    .schd-sel-amon .sel-m-wr li.btn-mon {display:none;}
    .schd-mon-cal .cal-tb1 td .day-tit .num {width:100%;}
}

/* 일정 내용 */
.schd-mon-cal .cal-tb1 .schd-wr {margin-top: 31px;padding: 6px 10px;box-sizing: border-box;position: relative;}
.schd-mon-cal .cal-tb1 .day-cont-list {max-height: 97px;margin: -3px 0;overflow:hidden;transition: all .4s ease;}
.schd-mon-cal .cal-tb1 .day-cont-list.active {max-height: 100vh;transition: all .6s ease-in;}
.schd-mon-cal .cal-tb1 .day-cont-list li {position: relative;margin: 3px 0;padding-left: 12px;white-space: nowrap;text-overflow: ellipsis;overflow: hidden;line-height:1.1;}
.schd-mon-cal .cal-tb1 .day-cont-list li a .dot {display: block;width: 6px;height: 6px;border-radius: 50%;background: #888;position: absolute;top: 50%;left: 0;transform: translateY(-50%);}
.schd-mon-cal .cal-tb1 .day-cont-list li a .txt {position: relative;color: #333;font-size: .889em;}
.schd-mon-cal .cal-tb1 .mview-btn {display: none; width: 16px;height: 16px;border:0;border-radius:50%;background: #ff43a2;}
.schd-mon-cal .cal-tb1 .more-btn {display: block;position: relative;margin: 13px auto 4px;border:0;background: transparent;color:#333;font-size: 13px;line-height: 1.0;}
.schd-mon-cal .cal-tb1 .more-btn:before {content:'';display: block;width: 13px;height: 13px;background: url(/resources/openworks4/image/common/schedule_spr.png) 0 -133px no-repeat;position: absolute;top: 0;left: 0;}
.schd-mon-cal .cal-tb1 .more-btn span {padding-left: 19px;}
.schd-mon-cal .cal-tb1 .close-btn {display: none;}
.schd-mon-cal .cal-tb1 .close-btn:before {background-position: -23px -133px;}
@media all and (max-width: 1199px){
    .schd-mon-cal .cal-tb1  .day-cont-list {max-height: 83px;}
}    
@media all and (max-width: 768px){
    .schd-mon-cal .cal-tb1 .schd-wr {padding: 0;margin-top: 26px;text-align: center;}
    .schd-mon-cal .cal-tb1 .day-cont-list {display:none;}
    .schd-mon-cal .cal-tb1 .mview-btn {display: inline-block;}
    .schd-mon-cal .cal-tb1 .more-btn {display: none !important;}
}